<template>
    <div class="row justify-content-center">
        <div class="col-xl-10 col-lg-12 col-md-9">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row">
                        <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
                        <div class="col-lg-6">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Welcome Back!</h1>
                                </div>
                                <form @submit.prevent="login">
                                    <div class="form-group">
                                        <input v-model="user.email" type="email" class="form-control form-control-user" :class="{'is-invalid': errors.email}" placeholder="Enter Email Address.">
                                        <div v-if="errors.email" class="invalid-feedback">{{ errors.email }}</div>
                                    </div>
                                    <div class="form-group">
                                        <input v-model="user.password" type="password" class="form-control form-control-user" :class="{'is-invalid': errors.password}" placeholder="Password">
                                        <div v-if="errors.password" class="invalid-feedback">{{ errors.password }}</div>
                                    </div>
                                    <div class="form-group">
                                        <div class="custom-control custom-checkbox small">
                                            <input type="checkbox" class="custom-control-input" id="customCheck" v-model="user.remember">
                                            <label class="custom-control-label" for="customCheck">Remember Me</label>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-user btn-block">Login</button>
                                </form>
                                <hr>
                                <div class="text-center">
                                    <a class="small" @click.prevent="forgotPassword">Forgot Password?</a>
                                </div>
                                <div class="text-center">
                                    <a class="small" @click.prevent="register">Create an Account!</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            user: {
                email: '',
                password: '',
                remember: false
            },
            errors: {}
        };
    },
    methods: {
        login() {
            // Implementa tu lógica de login aquí
            console.log("Login attempt with:", this.user);
        },
        forgotPassword() {
            // Redirige a la ruta de recuperación de contraseña
            window.location.href = '/password/reset';
        },
        register() {
            // Redirige a la ruta de registro
            window.location.href = '/register';
        }
    }
}
</script>

<style scoped>
/* Tus estilos específicos del componente aquí */
</style>
